Gallery Platform API
Reference

Get an invoice with its detail

Returns the full invoice document: header, line items (with artwork titles), payments, invoice settings, and branding.

GET
/gallery/invoices/{id}

Returns the full invoice document: header, line items (with artwork titles), payments, invoice settings, and branding.

Authorization

bearerAuth sales:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: sales:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "invoice": {    "id": "string",    "sale_id": "string",    "invoice_number": "string",    "status": "unpaid",    "issued_date": "string",    "due_date": "string",    "subtotal_cents": -9007199254740991,    "discount_cents": -9007199254740991,    "discount_bps": -9007199254740991,    "tax_cents": -9007199254740991,    "shipping_cents": -9007199254740991,    "shipping_tax_cents": -9007199254740991,    "total_cents": -9007199254740991,    "amount_paid_cents": -9007199254740991,    "accepted_payment_methods": [      "card"    ],    "currency": "string",    "fx_as_of": "string",    "fx_usd_per_unit": 0,    "fx_base_currency": "string",    "fx_base_usd_per_unit": 0,    "base_amount_cents": -9007199254740991,    "billing_name": "string",    "billing_address": "string",    "shipping_name": "string",    "shipping_address": "string",    "tax_address_line1": "string",    "tax_address_city": "string",    "tax_address_state": "string",    "tax_address_postal_code": "string",    "tax_address_country": "string",    "tax_calculated_at": "string",    "taxability_override": "none",    "notes": "string",    "archived_at": "string",    "template_id": "string",    "metadata": {      "property1": "string",      "property2": "string"    },    "created_at": "string",    "updated_at": "string"  },  "line_items": [    {      "id": "string",      "invoice_id": "string",      "artwork_id": "string",      "format_id": "string",      "publication_id": "string",      "ticket_type_id": "string",      "description": "string",      "quantity": -9007199254740991,      "unit_price_cents": -9007199254740991,      "discount_cents": -9007199254740991,      "discount_bps": -9007199254740991,      "tax_cents": -9007199254740991,      "line_total_cents": -9007199254740991,      "exclude_from_total": true,      "position": -9007199254740991,      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "string",      "updated_at": "string",      "artwork_title": "string",      "cover_storage_path": "string",      "cover_image_url": "string"    }  ],  "payments": [    {      "id": "string",      "invoice_id": "string",      "method": "manual",      "status": "pending",      "amount_cents": -9007199254740991,      "currency": "string",      "processor_ref": "string",      "received_at": "string",      "note": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "schedule": [    {      "sequence": -9007199254740991,      "label": "string",      "amount_cents": -9007199254740991,      "due_date": "string",      "paid": true    }  ],  "outstanding_cents": -9007199254740991,  "settings": {    "header_markdown": "string",    "footer_markdown": "string",    "terms_markdown": "string",    "payment_instructions_markdown": "string",    "default_caption": "string",    "updated_at": "string"  },  "branding": {    "logo_storage_path": "string",    "logo_url": "string",    "accent_color": "string",    "background_color": "string",    "text_color": "string",    "font_family": "sans",    "show_footer": true,    "footer_text": "string",    "header_letter_spacing": 0,    "offer_greeting": "string",    "offer_signature": "string",    "public_available_works": true,    "caption_fields": {      "medium": true,      "dimensions": true,      "edition": true,      "location": true,      "work_status": true,      "provenance": true,      "exhibition_history": true,      "literature": true,      "catalogue_raisonne": true,      "market": true,      "price_date": true,      "price_updated_at": true,      "acquisition_value": true,      "total_cost": true,      "vat_status": true    },    "updated_at": "string"  },  "custom_font": {    "id": "string",    "family": "string",    "data_url": "string"  },  "gallery": {    "title": "string",    "slug": "string"  }}